petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDLLibraryOpen

Opens a PETSc dynamic link library

### Synopsis

    PetscErrorCode  PetscDLLibraryOpen(MPI_Comm comm,const char path[],PetscDLLibrary *entry)

Collective on MPI_Comm

### Input Parameters

| comm | - processors that are opening the library
| path | - name of the library, can be relative or absolute

### Output Parameter

entry -a PETSc dynamic link library entry

### Notes

[[<http,ftp>://hostname]/directoryname/]libbasename[.so.1.0]

If the library has the symbol PetscDLLibraryRegister_basename() in it then that function is automatically run when the library is opened.

${PETSC_ARCH} occuring in directoryname and filename will be replaced with the appropriate value.

### See Also

PetscLoadDynamicLibrary(), PetscDLLibraryAppend()

### Level

developer

### Location

src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages